Summary: Cluster extenstions for userland logical volume management tools 
Name: lvm2-cluster
Version: 2.01.09
Release: 5.0.RHEL4
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2
Source0: LVM2.%{version}.tgz
Patch0: clvmd-gulm.patch
Patch1: clvmd-init.patch
Patch2: clvmd-close.patch
Patch3: clvmd-badfd.patch
Patch4: lvmconf.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: device-mapper >= 1.01
BuildRequires: libselinux-devel
BuildRequires: dlm-devel, gulm-devel, ccs-devel
Requires: lvm2 >= 2.01
ExclusiveArch: i386 ia64 x86_64
%define _exec_prefix /usr

%description
Extensions to LVM2 for clusters.

%prep
%setup -q -n LVM2.%{version}

%patch0 -p1 -b .gulm
%patch1 -p1 -b .init
%patch2 -p1 -b .close
%patch3 -p1 -b .badfd
%patch4 -p1

%build
%configure --with-clvmd=all --with-cluster=shared --with-user= --with-group=
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install_cluster DESTDIR=$RPM_BUILD_ROOT

mkdir -p -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install scripts/clvmd_init_rhel4 $RPM_BUILD_ROOT/etc/rc.d/init.d/clvmd
install -m 0755 scripts/lvmconf.sh $RPM_BUILD_ROOT/usr/sbin/lvmconf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add clvmd
/usr/sbin/lvmconf --enable-cluster --lockinglibdir %{_libdir}

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del clvmd
        /usr/sbin/lvmconf --disable-cluster
fi

%files
%defattr(-,root,root,-)
/usr/sbin/clvmd
/usr/sbin/lvmconf
%{_libdir}/liblvm2clusterlock.so
%{_libdir}/liblvm2clusterlock.so.2.01
%{_mandir}/man8/clvmd.8.gz
%config /etc/rc.d/init.d/clvmd

%changelog
* Tue Jun 14 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-5.0
- Couple of fixes to clvmd file descriptor closing.
- Fix potential spin loop in clvmd.

* Fri Jun 10 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-4.0
- Automatically enable clustering in lvm.conf on installation.

* Tue Jun 07 2005 Chris Feist <cfeist@redhat.com> - 2.01.09-3.1
- Rebuild against libgulm.so.1.0.0 (instead of libgulm.so.1.0).

* Tue May 17 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-3.0
- Fix clvmd init script.

* Thu Apr 21 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-2.1
- BuildRequires: dlm-devel, gulm-devel, ccs-devel

* Wed Apr 13 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-2.0
- Improve co-operation between clvmd and gulm over node state changes. [146056]

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-1.1
- Switch from 'ExcludeArch: s390 s390x ppc' to 
  'ExclusiveArch: i386 ia64 x86_64' to match dlm dependency.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-1.0
- clvmd: Don't allow user operations to start until lvm thread is fully up.
- clvmd-gulm: Set KEEPALIVE on sockets.

* Tue Mar 22 2005 Alasdair Kergon <agk@redhat.com> - 2.01.08-1.0
- Improve detection of external changes affecting internal cache.

* Thu Mar 10 2005 Alasdair Kergon <agk@redhat.com> - 2.01.07-2.0
- clvmd lvm_thread_lock fix.

* Tue Mar 08 2005 Alasdair Kergon <agk@redhat.com> - 2.01.07-1.0
- clvmd FDs close-on-exec
- unlock gulm VG & orphan locks at startup in case they are stale
- unlock gulm VG & orphan locks if client dies.

* Fri Mar 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.06-1.1
- Extra /dev scanning required for clustered operation.

* Thu Mar 03 2005 Alasdair Kergon <agk@redhat.com> - 2.01.06-1.0
- More clvmd gulm fixes.

* Wed Feb 09 2005 Alasdair Kergon <agk@redhat.com> - 2.01.04-1.0
- Some more clvmd fixes.

* Mon Feb 07 2005 Chris Feist <cfeist@redhat.com> - 2.01.03-2.0
- Added chkconfig --add & --del to start init scripts.

* Tue Feb 01 2005 Alasdair Kergon <agk@redhat.com> - 2.01.03-1.0
- clvmd startup mesgs improved; avoid gulm hang after node reboot

* Fri Jan 21 2005 Alasdair Kergon <agk@redhat.com> - 2.01.02-1.0
- clvmd startup fix; recognise gnbd; improve error reporting.

* Thu Jan 20 2005 Alasdair Kergon <agk@redhat.com> - 2.01.01-1.2
- Install the correct clvmd init script.

* Wed Jan 19 2005 Alasdair Kergon <agk@redhat.com> - 2.01.01-1.1
- Fix spec file for 2.01.

* Wed Jan 19 2005 Alasdair Kergon <agk@redhat.com> - 2.01.01-1.0
- Fix clvmd build & update vgcreate man page.

* Mon Jan 17 2005 Alasdair Kergon <agk@redhat.com> - 2.01.00-1.0
- Include cman & gulm in same library.
- Remove cluster subdir.

* Thu Dec 23 2004 Chris Feist <cfeist@redhat.com> - 2.00.32-1.0
- New upstream sources.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Added init script for clvm.

* Wed Dec 15 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Use %{_libdir} which fixes 64 bit architecture build problems.

* Wed Dec 1 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.2
- Remove superfluous Requires.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.1
- Sort out most of the files.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.0
- Initial import.
